Name:           napi
Version:        2.0.1
Release:        2%{?dist}
Summary:        Napiprojekt bash Client

License:        GPLv3
URL:            https://gitlab.com/hesperos/napi/
Source0:        https://gitlab.com/hesperos/napi/-/archive/v%{version}/%{name}-v%{version}.tar.bz2


BuildArch:      noarch
BuildRequires:  cmake
Requires:       bash
Requires:       coreutils
Requires:       wget
Requires:       findutils
Requires:       p7zip-plugins
Requires:       gawk
Requires:       grep
Provides:       napi.sh
Provides:       subotage.sh


%description
Napi Projekt Client and Subotage subtitle format converter both written in bash

%prep
%setup -q -n %{name}-v%{version}

#remove shebang
for Files in `ls libs/* actions/*`; do
  %{__sed} -i.orig -e 1d ${Files}
  touch -r ${Files}.orig ${Files}
  %{__rm} ${Files}.orig
done

%build
%cmake
%cmake_build

%install
rm -rf $RPM_BUILD_ROOT
%cmake_install

%files
%license LICENSE

%dir %{_prefix}/lib/napi/
%dir %{_prefix}/lib/napi/actions/
%attr(0755,root,root) %{_bindir}/napi.sh
%attr(0755,root,root) %{_bindir}/subotage.sh

%{_bindir}/napi.sh
%{_bindir}/subotage.sh
%{_prefix}/lib/napi/*
%exclude %{_prefix}/lib/napi/libnapi_version.sh.in

%doc AUTHORS.md README.md INSTALL.md BUGS.md CHANGELOG.md 

%changelog
* Fri Jun 4 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 2.0.1-2
- Remove clean section from spec

* Mon May 24 2021 Paweł Marciniak <sunwire+repo@gmail.com> - 2.0.1-1
- Init version
